### Name: caprescale
### Title: Rescaling of Capscale Results to Reflect Total Sums of Squares
###   Of Distance Matrix
### Aliases: caprescale
### Keywords: multivariate

### ** Examples

library(vegan)
library(MASS)
data(dune)
data(dune.env)
Distmatrix.1 <- vegdist(dune,method='bray')
Ordination.model1 <- cmdscale(Distmatrix.1, k=19, eig=TRUE, add=FALSE)
# Sum of positive eigenvalues
sum(Ordination.model1$eig[1:14])
# [1] 4.593946896588808
Distmatrix.2 <- as.matrix(vegdist(Ordination.model1$points[,1:14],method='euc'))
totalsumsquares1 <- sum(Distmatrix.2^2)/(2*20)
# Sum of distances among sites in principal coordinates analysis on axes
# corresponding to positive eigenvalues
totalsumsquares1
# [1] 4.593946896588808
Ordination.model2 <- capscale(dune ~ Management,dune.env,dist='bray', add=FALSE)
# Total sums of squares of the distance-based redundancy analysis
Ordination.model2$tot.chi/19
# [1] 4.593946896588808
Ordination.model3 <- caprescale(Ordination.model2, verbose=TRUE)
Distmatrix.3 <- as.matrix(vegdist(summary(Ordination.model3,axes=17,scaling=1)$constraints,method='euc'))
totalsumsquares2 <- sum((Distmatrix.3)^2)/(2*20)
totalsumsquares2
# [1] 4.593946896588808



