### Name: ordisymbol
### Title: Add Other Graphical Items to Ordination Diagrams
### Aliases: ordisymbol ordibubble ordihull.centroids ordispider.centroids
###   ordicluster2 ordinearest ordivector
### Keywords: multivariate

### ** Examples

library(vegan)
data(dune)
data(dune.env)
Ordination.model1 <- rda(dune)
plot1 <- ordiplot(Ordination.model1, choices=c(1,2), scaling=2)
ordisymbol(plot1,dune.env,"Management",legend=FALSE)
## Make sure you click in the graph to show where the legend should be placed
## In case that you choose option of legend=TRUE
plot2 <- ordiplot(Ordination.model1, choices=c(1,2), scaling=1)
distmatrix <- vegdist(dune, method='bray')
cluster <- hclust(distmatrix, method='single')
ordicluster2(plot2, cluster)
ordinearest(plot2,distmatrix,col=2)
ordivector(plot2,"Agrsto",lty=2)



